package com.bcxin.tenant.open.domains.dtos;

import lombok.Data;

import java.io.Serializable;

@Data
public class PoliceIncidentSuperviseDepartDTO implements Serializable {
    /**
     * 原本的监管归属Id
     */
    private String superviseDepartId;
    /**
     * 原本的监管归属名称
     */
    private String superviseDepartName;

    public static PoliceIncidentSuperviseDepartDTO create(String superviseDepartId,
                                                          String superviseDepartName) {
        PoliceIncidentSuperviseDepartDTO departDTO = new PoliceIncidentSuperviseDepartDTO();
        departDTO.setSuperviseDepartId(superviseDepartId);
        departDTO.setSuperviseDepartName(superviseDepartName);

        return departDTO;
    }
}
